TechDraw: Raggio

From FreeCAD Documentation
Revision as of 22:25, 3 January 2019 by FuzzyBot (talk | contribs) (Updating to match new version of source page)

Raggio

Posizione nel menu
TechDraw → Raggio
Ambiente
TechDraw
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche
Nessuno

Descrizione

Lo strumento Raggio aggiunge una dimensione raggio a una vista. La dimensione può essere applicata a qualsiasi bordo del disegno che sia un cerchio o un arco di cerchio.

The Dimension Radius tool adds a radius dimension to a View. The dimension may be applied to any Edge in the drawing which is a circle or circular arc. The distance will initially be the projected distance (ie as shown on the drawing), but this may be changed to the actual 3D distance using the Link Dimension tool.


Measuring a circle, indicating the radius

Uso

  1. Selezionare un cerchio o arco di cerchio nel disegno. (Notare che alcuni archi che sembrano essere circolari sono in realtà ellissi o B spline. In questi casi non si può creare una dimensione di raggio)
  2. Premere il pulsante File:Dimension Radius.png Raggio
  3. Alla Vista viene aggiunta una dimensione. La dimensione può essere trascinata nella posizione desiderata.
  1. Select a circle or circular arc in the drawing. (Note some arcs which appear to be circular are actually ellipses or BSplines. You cannot make a radius dimension in these cases)
  2. Press the File:Dimension Radius.png Dimension Radius button
  3. A dimension will be added to the View. The dimension may be dragged to the desired position.

Limitations

Dimension objects are vulnerable to "topological naming" issues. See the information in the TechDraw Dimension Length tool for more information.

Proprietà

This object has the same properties as the TechDraw Dimensione Lunghezza tool. See that tool for details.

This object has the same properties as the TechDraw Dimension Length tool. See that tool for details.

Script

Le dimensioni raggio possono essere aggiunte alle pagine utilizzando Python.

See also: TechDraw API and FreeCAD Scripting Basics.

The Dimension Radius tool can be used in macros and from the Python console by using the following functions:

dim1 = FreeCAD.ActiveDocument.addObject('TechDraw::DrawViewDimension','Dimension')
dim1.Type = "Radius"
dim1.References2D=[(view1, 'Edge1')]
rc = page.addView(dim1)